How to deploy to older OS versions with the iPhone SDK 3.0

One thing I recently struggled with was how to build and deploy apps for outdated OS versions. After upgrading to the new iPhone SDK 3.0 the build options for iPhone OS minor to 3.0 seem to be gone.


The solution to this is pretty simple, but I spent some time searching for it: Open your Project Info (double click the project icon) and adjust the build settings. You need to set the Base SDK to something prior to OS 3.0.


Having done that, the build options for older versions reappear. I hope this little trick saves some of your time :)


iPhone app for GitHub


is GitHub in your pocket: The go to app for staying up to date with your projects on your iPhone, and iPod Touch.
It is